Author Topic: Migrate CodeBlocks IDE mingw64 toolchain to MinGW 9.0.0  (Read 595 times)

Offline cbUser121

  • Single posting newcomer
  • *
  • Posts: 1
Migrate CodeBlocks IDE mingw64 toolchain to MinGW 9.0.0
« on: June 11, 2021, 02:53:44 pm »
Hello,

i'm trying to learn C++17, compile my code with <execution> and <filesystem> headers under Windows operation system and i have issues with it. I find out that this issues may be caused by MinGW64 version.
1) <execution> header not found in toolchain include directory.
2) <filesystem> compilation fails, you can just try to include it. ​

Could you please tell, when C::B will support last mingw64 version? (9.0.0). I really dont want to install Visual Studio on my mashine :(

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 13318
    • Travis build status
Re: Migrate CodeBlocks IDE mingw64 toolchain to MinGW 9.0.0
« Reply #1 on: June 11, 2021, 03:06:32 pm »
Today, just install a compiler release which has the required (but useless /* end of c++modernity trolling*/) features.

https://wiki.codeblocks.org/index.php/FAQ-General#Q:_What_is_Code::Blocks.3F
https://wiki.codeblocks.org/index.php/FAQ-General#Q:_What_Code::Blocks_is_not.3F
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Online AndrewCot

  • Multiple posting newcomer
  • *
  • Posts: 26
Re: Migrate CodeBlocks IDE mingw64 toolchain to MinGW 9.0.0
« Reply #2 on: June 12, 2021, 05:26:15 am »
cbUser121, I find that MSYS2 is easier to install and update than Mingw64 as MSYS2 includes the pacman package manager and is updated with new packages very often (every few days).